Changeset 8183b35 in mainline
- Timestamp:
- 2019-08-17T12:49:43Z (5 years ago)
- Branches:
- lfn, master, serial, ticket/834-toolchain-update, topic/msim-upgrade, topic/simplify-dev-export
- Children:
- 18b1643
- Parents:
- af7223b
- git-author:
- Jiří Zárevúcky <zarevucky.jiri@…> (2019-07-01 13:11:26)
- git-committer:
- Jiří Zárevúcky <zarevucky.jiri@…> (2019-08-17 12:49:43)
- File:
-
- 1 edited
Legend:
- Unmodified
- Added
- Removed
-
build_all.sh
raf7223b r8183b35 25 25 echo "###################### Configuring all profiles ######################" 26 26 27 echo "Configuring profiles" $PROFILES 28 27 29 for profile in $PROFILES; do 30 # echo "Configuring profile ${profile}" 28 31 if [ -f ${profile}/build.ninja ]; then 29 ninja -C ${profile} build.ninja || exit 1 32 script -q -e /dev/null -c "ninja -C '${profile}' build.ninja" </dev/null >"${profile}/configure_output.log" 2>&1 & 33 echo "$!" >"${profile}/configure.pid" 30 34 continue 31 35 fi 32 33 echo "Configuring profile ${profile}"34 36 35 37 # Let HelenOS config tool write out Makefile.config and config.h. 36 38 mkdir -p ${profile} || exit 1 37 39 cd ${profile} || exit 1 38 ${SOURCE_DIR}/tools/config.py ${CONFIG_RULES} ${CONFIG_DEFAULTS} hands-off ${profile}|| exit 140 "${SOURCE_DIR}/tools/config.py" "${CONFIG_RULES}" "${CONFIG_DEFAULTS}" hands-off "${profile}" || exit 1 39 41 cd - 40 42 … … 49 51 fi 50 52 51 meson ${SOURCE_DIR} ${profile} --cross-file ${SOURCE_DIR}/meson/cross/${cross_target} || exit 1 53 script -q -e /dev/null -c "meson '${SOURCE_DIR}' '${profile}' --cross-file '${SOURCE_DIR}/meson/cross/${cross_target}'" </dev/null >"${profile}/configure_output.log" 2>&1 & 54 echo "$!" >"${profile}/configure.pid" 52 55 done 56 57 failed='no' 58 59 for profile in $PROFILES; do 60 if ! wait `cat "${profile}/configure.pid"`; then 61 failed='yes' 62 cat "${profile}/configure_output.log" 63 echo 64 echo "Configuration of profile ${profile} failed." 65 echo 66 fi 67 done 68 69 if [ "$failed" = 'yes' ]; then 70 echo 71 echo "Some configuration jobs failed." 72 exit 1 73 else 74 echo "All profiles configured." 75 fi 53 76 54 77 echo
Note:
See TracChangeset
for help on using the changeset viewer.